Page MenuHomePhabricator

Bug? Page_Forms Incompatible with Moderation?
Closed, ResolvedPublic

Description

Extension:Moderation specifies that

"The user can see his/her edit and continue editing his/her own version of the page."

This behavior seems broken in Page_Forms:

  1. Install both Page_Forms and Moderation extensions
  2. Create a page, and put the page into a category.
  3. Create a form, and assign it to the same category with the parser function #default_form.
  4. Log in as non-admin user.
  5. Perform an edit in the new page. The edit is visible in the Source-editor.
  6. Open the same page in the the user-form, by click the "Edit with form" tab.
  7. the new edit isn't visible.

MW 1.30

Event Timeline

Johnywhy created this task.Jun 24 2018, 2:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2018, 2:19 AM
edwardspec closed this task as Resolved.Jun 24 2018, 3:42 AM
edwardspec reopened this task as Open.
edwardspec added a subscriber: edwardspec.EditedJun 24 2018, 3:47 AM

Investigating.

For the future, please note that the correct place to report errors in Moderation is either https://www.mediawiki.org/wiki/Extension_talk:Moderation or https://github.com/edwardspec/mediawiki-moderation/issues
Phabricator doesn't notify me when a new task about Moderation is created. I found this bugreport by pure accident.

edwardspec added a comment.EditedJun 24 2018, 2:30 PM

Not reproduced. It works correctly with latest version of PageForms (for MediaWiki 1.30) and Moderation.

My guess is, you are not using the latest version of Extension:PageForms. Compatibility with Moderation was added to PageForms on 2 April 2018 - https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/PageForms/+/420950/

edwardspec closed this task as Resolved.Jun 24 2018, 3:56 PM

Okey-dokey, thx.

Vvjjkkii renamed this task from Bug? Page_Forms Incompatible with Moderation? to meaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.

@Vvjjkkii what is the meaning of these nonsense edits and tags?

JJMC89 renamed this task from meaaaaaaaa to Bug? Page_Forms Incompatible with Moderation?.Jul 1 2018, 3:06 AM
JJMC89 closed this task as Resolved.
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 edited subscribers, added: Aklapper; removed: Vvjjkkii.